> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autosend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Suppression Group

> Retrieve the details of a specific suppression group by ID using the AutoSend API.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.autosend.com/v1/suppression-groups/AB12C3' \
    --header 'Authorization: Bearer <token>'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.autosend.com/v1/suppression-groups/AB12C3",
      headers={"Authorization": "Bearer <token>"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.autosend.com/v1/suppression-groups/AB12C3",
    {
      method: "GET",
      headers: {
        Authorization: "Bearer <token>",
      },
    }
  );
  const data = await response.json();
  console.log(data);
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/AB12C3");
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      "Authorization: Bearer <token>",
  ]);
  $response = curl_exec($ch);
  curl_close($ch);
  echo $response;
  ```

  ```go Go theme={null}
  package main

  import (
      "fmt"
      "io"
      "net/http"
  )

  func main() {
      req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/suppression-groups/AB12C3", nil)
      req.Header.Set("Authorization", "Bearer <token>")

      client := &http.Client{}
      resp, _ := client.Do(req)
      defer resp.Body.Close()

      body, _ := io.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```

  ```java Java theme={null}
  import java.net.URI;
  import java.net.http.*;

  public class Main {
      public static void main(String[] args) throws Exception {
          HttpRequest request = HttpRequest.newBuilder()
              .uri(URI.create("https://api.autosend.com/v1/suppression-groups/AB12C3"))
              .header("Authorization", "Bearer <token>")
              .GET()
              .build();

          HttpResponse<String> response = HttpClient.newHttpClient()
              .send(request, HttpResponse.BodyHandlers.ofString());
          System.out.println(response.body());
      }
  }
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "uri"

  uri = URI("https://api.autosend.com/v1/suppression-groups/AB12C3")
  req = Net::HTTP::Get.new(uri)
  req["Authorization"] = "Bearer <token>"

  response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
  puts response.body
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "60d5ec49f1b2c72d9c8b4567",
      "groupId": "AB12C3",
      "name": "Marketing Unsubscribes",
      "description": "Users who opted out of marketing",
      "isActive": true,
      "isGlobal": false,
      "suppressionCount": 42,
      "createdAt": "2026-01-10T08:00:00.000Z",
      "updatedAt": "2026-04-15T12:30:00.000Z"
    }
  }
  ```
</ResponseExample>

### Authorizations

<ParamField path="Authorizations" type="string | header" required>
  Bearer authentication header of the form Bearer `<token>`, where `<token>` is your auth token.
</ParamField>

#### Path Parameters

<ParamField path="groupId" type="string" required>
  The unique identifier of the suppression group to retrieve.
</ParamField>

#### Response

<span className="text-sm">Suppression group retrieved successfully</span>

<ResponseField name="success" type="boolean">
  Example: `true`
</ResponseField>

<ResponseField name="data" type="object">
  The suppression group.

  <Expandable title="child attributes">
    <ResponseField name="data.id" type="string">
      Unique identifier for the suppression group.
    </ResponseField>

    <ResponseField name="data.groupId" type="string">
      Short identifier used in path parameters (e.g., `AB12C3`).
    </ResponseField>

    <ResponseField name="data.name" type="string">
      Display name of the suppression group.
    </ResponseField>

    <ResponseField name="data.description" type="string">
      Optional description of the suppression group.
    </ResponseField>

    <ResponseField name="data.isActive" type="boolean">
      Whether the suppression group is active.
    </ResponseField>

    <ResponseField name="data.isGlobal" type="boolean">
      Whether this is a global suppression group.
    </ResponseField>

    <ResponseField name="data.suppressionCount" type="integer">
      Number of email addresses suppressed in this group.
    </ResponseField>

    <ResponseField name="data.createdAt" type="string">
      ISO 8601 timestamp when the group was created.
    </ResponseField>

    <ResponseField name="data.updatedAt" type="string">
      ISO 8601 timestamp when the group was last updated.
    </ResponseField>
  </Expandable>
</ResponseField>


## OpenAPI

````yaml GET /suppression-groups/{groupId}
openapi: 3.1.0
info:
  title: Suppression Groups API
  version: 1.0.0
  description: >-
    Manage suppression groups and suppression entries. Suppression groups let
    you categorize unsubscribes, bounces, and spam complaints so that you can
    control which emails are sent to which contacts.
servers:
  - url: https://api.autosend.com/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /suppression-groups/{groupId}:
    get:
      summary: Get Suppression Group
      description: Returns a single suppression group by its ID.
components: {}

````